--- mozilla/configure.in.orig	2006-08-23 12:31:03.000000000 -0400
+++ mozilla/configure.in	2007-01-27 19:34:30.000000000 -0500
@@ -4380,7 +4380,7 @@
 if test "$MOZ_ENABLE_PANGO"
 then
     AC_DEFINE(MOZ_ENABLE_PANGO)
-    PKG_CHECK_MODULES(MOZ_PANGO, pango >= 1.6.0 pangoft2 >= 1.6.0)
+    PKG_CHECK_MODULES(MOZ_PANGO, pangoxft >= 1.6.0)
 
     AC_SUBST(MOZ_ENABLE_PANGO)
     AC_SUBST(MOZ_PANGO_CFLAGS)
--- mozilla/gfx/src/gtk/Makefile.in.orig	2005-04-26 00:46:13.000000000 -0400
+++ mozilla/gfx/src/gtk/Makefile.in	2007-01-27 19:43:38.000000000 -0500
@@ -201,6 +201,10 @@
 		$(NULL)
 endif
 
+ifdef MOZ_ENABLE_PANGO
+EXTRA_DSO_LDOPTS += $(MOZ_PANGO_LIBS)
+endif
+
 EXTRA_DSO_LDOPTS += $(XLDFLAGS) $(XLIBS) $(MOZ_GTK_LDFLAGS) $(MOZ_XFT_LIBS) $(MOZ_GTK2_LIBS)
 CXXFLAGS	+= $(MOZ_GTK_CFLAGS) $(MOZ_GTK2_CFLAGS)
 CFLAGS		+= $(MOZ_GTK_CFLAGS) $(MOZ_GTK2_CFLAGS)
--- mozilla/config/static-config.mk.orig	2005-07-21 09:33:40.000000000 -0400
+++ mozilla/config/static-config.mk	2007-01-27 19:45:16.000000000 -0500
@@ -116,6 +116,14 @@
 STATIC_EXTRA_LIBS	+= $(MOZ_XPRINT_LDFLAGS)
 endif
 
+ifdef MOZ_ENABLE_XFT
+STATIC_EXTRA_LIBS	+= $(MOZ_XFT_LIBS)
+endif
+
+ifdef MOZ_ENABLE_PANGO
+STATIC_EXTRA_LIBS	+= $(MOZ_PANGO_LIBS)
+endif
+
 # Component Makefile always brings in this.
 # STATIC_EXTRA_LIBS	+= $(TK_LIBS)
 
--- mozilla/toolkit/library/Makefile.in.orig	2006-02-17 14:50:53.000000000 -0500
+++ mozilla/toolkit/library/Makefile.in	2007-01-27 19:48:09.000000000 -0500
@@ -340,6 +340,10 @@
 EXTRA_DSO_LDOPTS += $(MOZ_XPRINT_LDFLAGS)
 endif
 
+ifdef MOZ_ENABLE_PANGO
+EXTRA_DSO_LDOPTS += $(MOZ_PANGO_LIBS)
+endif
+
 ifeq ($(OS_ARCH),BeOS)
 EXTRA_DSO_LDOPTS += -lbe
 endif
--- mozilla/configure.orig	2006-08-23 12:40:33.000000000 -0400
+++ mozilla/configure	2007-01-27 20:25:15.000000000 -0500
@@ -13232,30 +13232,30 @@
   else
      PKG_CONFIG_MIN_VERSION=0.9.0
      if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
-        echo $ac_n "checking for pango >= 1.6.0 pangoft2 >= 1.6.0""... $ac_c" 1>&6
-echo "configure:13237: checking for pango >= 1.6.0 pangoft2 >= 1.6.0" >&5
+        echo $ac_n "checking for pangoxft >= 1.6.0 ""... $ac_c" 1>&6
+echo "configure:13237: checking for pangoxft >= 1.6.0" >&5
 
-        if $PKG_CONFIG --exists "pango >= 1.6.0 pangoft2 >= 1.6.0" ; then
+        if $PKG_CONFIG --exists "pangoxft >= 1.6.0" ; then
             echo "$ac_t""yes" 1>&6
             succeeded=yes
 
             echo $ac_n "checking MOZ_PANGO_CFLAGS""... $ac_c" 1>&6
 echo "configure:13244: checking MOZ_PANGO_CFLAGS" >&5
-            MOZ_PANGO_CFLAGS=`$PKG_CONFIG --cflags "pango >= 1.6.0 pangoft2 >= 1.6.0"`
+            MOZ_PANGO_CFLAGS=`$PKG_CONFIG --cflags "pangoxft >= 1.6.0"`
             echo "$ac_t""$MOZ_PANGO_CFLAGS" 1>&6
 
             echo $ac_n "checking MOZ_PANGO_LIBS""... $ac_c" 1>&6
 echo "configure:13249: checking MOZ_PANGO_LIBS" >&5
             ## don't use --libs since that can do evil things like add
             ## -Wl,--export-dynamic
-            MOZ_PANGO_LIBS="`$PKG_CONFIG --libs-only-L \"pango >= 1.6.0 pangoft2 >= 1.6.0\"` `$PKG_CONFIG --libs-only-l \"pango >= 1.6.0 pangoft2 >= 1.6.0\"`"
+            MOZ_PANGO_LIBS="`$PKG_CONFIG --libs-only-L \"pangoxft >= 1.6.0\"` `$PKG_CONFIG --libs-only-l \"pangoxft >= 1.6.0\"`"
             echo "$ac_t""$MOZ_PANGO_LIBS" 1>&6
         else
             MOZ_PANGO_CFLAGS=""
             MOZ_PANGO_LIBS=""
             ## If we have a custom action on failure, don't print errors, but 
             ## do set a variable so people can do so.
-            MOZ_PANGO_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "pango >= 1.6.0 pangoft2 >= 1.6.0"`
+            MOZ_PANGO_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "pangoxft >= 1.6.0"`
             echo $MOZ_PANGO_PKG_ERRORS
         fi
 
@@ -13270,7 +13270,7 @@
   if test $succeeded = yes; then
      :
   else
-     { echo "configure: error: Library requirements (pango >= 1.6.0 pangoft2 >= 1.6.0) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." 1>&2; exit 1; }
+     { echo "configure: error: Library requirements (pangoxft >= 1.6.0) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them." 1>&2; exit 1; }
   fi
 
 
